Package org.springframework.security.web.authentication.ott

# Class RedirectOneTimeTokenGenerationSuccessHandler

java.lang.Object
org.springframework.security.web.authentication.ott.RedirectOneTimeTokenGenerationSuccessHandler

All Implemented Interfaces:
  `OneTimeTokenGenerationSuccessHandler`

public final class RedirectOneTimeTokenGenerationSuccessHandler extends Object implements OneTimeTokenGenerationSuccessHandler
A `OneTimeTokenGenerationSuccessHandler` that performs a redirect to a specific location

Since:
  6.4

## Constructor Summary

Constructors
Constructor
Description
`RedirectOneTimeTokenGenerationSuccessHandler(String redirectUrl)`
Constructs an instance of this class that redirects to the specified URL.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.authentication.ott.OneTimeToken oneTimeToken)`
Handles generated one-time tokens

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RedirectOneTimeTokenGenerationSuccessHandler

public RedirectOneTimeTokenGenerationSuccessHandler(String redirectUrl)
Constructs an instance of this class that redirects to the specified URL.

Parameters:
  `redirectUrl` -

## Method Details

### handle

public void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.authentication.ott.OneTimeToken oneTimeToken) throws IOException
Description copied from interface: `OneTimeTokenGenerationSuccessHandler`
Handles generated one-time tokens

Specified by:
  `handle` in interface `OneTimeTokenGenerationSuccessHandler`
Throws:
  `IOException`